/*
 * audio.h for miniD pre OLED
 *
 * Initial version: 03/12/2017
 * Author: Tomi Nihtila, nihtila.com
 */ 


#ifndef AUDIO_H_
#define AUDIO_H_

// This is used for interrupt masking (logical 0) and also masking bits in error code.
// Refer to SRC4392 datasheet, register 0x14. Note that signal unlock indicator
// relies on INT so at least DIR unlock should be unmasked.
#define AUDIO_SRC_R14_INTMASK	0xF4	// CRC, parity, validity, bip encoding, and dir unlock unmasked
#define AUDIO_SRC_R18_INTMODE	0xAA	// interrupt mode to level change
#define AUDIO_SRC_R19_INTMODE	0xAA

void audioSRCInt(void);
void audioInit(void);
void audioUpdateInput(void);
void audioUpdateVolume(void);
void audioDSPBypassControl(void);
void audioSRCChangeSettings(void);
void audioMuteControl(void);
void audioChangeVolumeControl(void);
void audioGetSignalInfo(void);


#endif /* AUDIO_H_ */